GriffonApplicationEventAppender (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.logging
[Java] Class GriffonApplicationEventAppender

    java.lang.Object
      org.apache.log4j.AppenderSkeleton
          org.codehaus.griffon.runtime.logging.GriffonApplicationEventAppender

    public class GriffonApplicationEventAppender
    extends org.apache.log4j.AppenderSkeleton

A Log4j Appender that triggers Griffon application events.

Authors:
  Andres Almiray

Since:
  0.9.3

Field Summary
`private static String` | `EVENT_NAME`

Constructor Summary
`GriffonApplicationEventAppender(org.apache.log4j.Layout layout)`

Method Summary
`protected void` | `append(org.apache.log4j.spi.LoggingEvent event)`
`private String` | `asString(org.apache.log4j.spi.LoggingEvent event)`
`void` | `close()`
`private void` | `fireApplicationEvent(org.apache.log4j.Level level, String message, Throwable throwable)`
`boolean` | `requiresLayout()`

Methods inherited from class org.apache.log4j.AppenderSkeleton
org.apache.log4j.AppenderSkeleton#finalize(), org.apache.log4j.AppenderSkeleton#getName(), org.apache.log4j.AppenderSkeleton#setName(java.lang.String), org.apache.log4j.AppenderSkeleton#close(), org.apache.log4j.AppenderSkeleton#setThreshold(org.apache.log4j.Priority), org.apache.log4j.AppenderSkeleton#doAppend(org.apache.log4j.spi.LoggingEvent), org.apache.log4j.AppenderSkeleton#addFilter(org.apache.log4j.spi.Filter), org.apache.log4j.AppenderSkeleton#setLayout(org.apache.log4j.Layout), org.apache.log4j.AppenderSkeleton#getLayout(), org.apache.log4j.AppenderSkeleton#setErrorHandler(org.apache.log4j.spi.ErrorHandler), org.apache.log4j.AppenderSkeleton#getErrorHandler(), org.apache.log4j.AppenderSkeleton#getFilter(), org.apache.log4j.AppenderSkeleton#getThreshold(), org.apache.log4j.AppenderSkeleton#requiresLayout(), org.apache.log4j.AppenderSkeleton#clearFilters(), org.apache.log4j.AppenderSkeleton#activateOptions(), org.apache.log4j.AppenderSkeleton#getFirstFilter(), org.apache.log4j.AppenderSkeleton#isAsSevereAsThreshold(org.apache.log4j.Priority), org.apache.log4j.AppenderSkeleton#wait(), org.apache.log4j.AppenderSkeleton#wait(long), org.apache.log4j.AppenderSkeleton#wait(long, int), org.apache.log4j.AppenderSkeleton#equals(java.lang.Object), org.apache.log4j.AppenderSkeleton#toString(), org.apache.log4j.AppenderSkeleton#hashCode(), org.apache.log4j.AppenderSkeleton#getClass(), org.apache.log4j.AppenderSkeleton#notify(), org.apache.log4j.AppenderSkeleton#notifyAll()

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### EVENT_NAME

    private static final String EVENT_NAME

Constructor Detail

### GriffonApplicationEventAppender

    public GriffonApplicationEventAppender(org.apache.log4j.Layout layout)

Method Detail

### append

    @Override
    protected void append(org.apache.log4j.spi.LoggingEvent event)

### asString

    private String asString(org.apache.log4j.spi.LoggingEvent event)

### close

    public void close()

### fireApplicationEvent

    private void fireApplicationEvent(org.apache.log4j.Level level, String message, Throwable throwable)

### requiresLayout

    public boolean requiresLayout()

Groovy Documentation